KFraktalas::KFraktalas(): gylis(0), kokybe(64), dydis(1.0), koef(0.5),
  koef1(0.0), koef2(0.0), spalva(1.0), pozX(0.0), pozY(0.0), pozZ(0.0)
{
}

KFraktalas::~KFraktalas()
{
}

void KFraktalas::PiestiDali(int dalGylis, GLfloat dalDydis)
{
	glBegin(GL_TRIANGLES);
	glColor3f(1.0, 1.0, 1.0);
	glVertex3f(0.0, 0.0, 0.0);
	glVertex3f(0.0, dalDydis, 0.0);
	glVertex3f(-dalDydis / 2.0, dalDydis / 2.0, 0.0);
	glColor3f(0.0, 0.0, 0.0);
	glVertex3f(0.0, 0.0, 0.0);
	glVertex3f(dalDydis / 2.0, dalDydis / 2.0, 0.0);
	glVertex3f(0.0, dalDydis, 0.0);
	glEnd();
	
	if(dalGylis < 1)
		return;
	
	glTranslatef(-dalDydis * 0.5, dalDydis * 0.5, 0.0);
	glRotatef(koef1, 0.0, 0.0, 1.0);
	PiestiDali(dalGylis - 1, dalDydis * koef);
	glRotatef(-koef1, 0.0, 0.0, 1.0);
	glTranslatef(dalDydis, 0.0, 0.0);
	glRotatef(-koef1, 0.0, 0.0, 1.0);
	PiestiDali(dalGylis - 1, dalDydis * koef);
	glRotatef(koef1, 0.0, 0.0, 1.0);
	glTranslatef(-dalDydis * 0.5, -dalDydis * 0.5, 0.0);
}

void KFraktalas::Piesti()
{
	PiestiDali(gylis, dydis);
}
