void GeomPlokst(GLfloat plotis)
{
	plotis *= 0.5;
	glBegin(GL_QUADS);
		glNormal3f(0.0, 0.0, 1.0);
		glTexCoord2f(0.0, 0.0);	glVertex3f(-plotis, -plotis, 0.0);
		glTexCoord2f(1.0, 0.0);	glVertex3f(plotis, -plotis, 0.0);
		glTexCoord2f(1.0, 1.0);	glVertex3f(plotis, plotis, 0.0);
		glTexCoord2f(0.0, 1.0);	glVertex3f(-plotis, plotis, 0.0);
	glEnd();
}

void GeomPlokst(GLfloat plotis, GLfloat aukstis)
{
	plotis *= 0.5;
	aukstis *= 0.5;
	glBegin(GL_QUADS);
		glNormal3f(0.0, 0.0, 1.0);
		glTexCoord2f(0.0, 0.0);	glVertex3f(-plotis, -aukstis, 0.0);
		glTexCoord2f(1.0, 0.0);	glVertex3f(plotis, -aukstis, 0.0);
		glTexCoord2f(1.0, 1.0);	glVertex3f(plotis, aukstis, 0.0);
		glTexCoord2f(0.0, 1.0);	glVertex3f(-plotis, aukstis, 0.0);
	glEnd();
}

void GeomPlokstWire(GLfloat plotis)
{
	plotis *= 0.5;
	glBegin(GL_LINE_LOOP);
		glVertex3f(-plotis, -plotis, 0.0);
		glVertex3f(plotis, -plotis, 0.0);
		glVertex3f(plotis, plotis, 0.0);
		glVertex3f(-plotis, plotis, 0.0);
	glEnd();
}

void GeomApskritimas(GLfloat dydis, int kokybe)
{
	float kamp;
	glBegin(GL_LINE_LOOP);
	for(int i = 0; i < kokybe; i++){
		kamp = (float)i / (float)kokybe * M_PI * 2.0;
		glVertex3f(dydis * cos(kamp), dydis * sin(kamp), 0.0);
	}
	glEnd();
}

void GeomSkritulys(GLfloat dydis, int kokybe)
{
	float kamp;
	glBegin(GL_TRIANGLE_FAN);
	glNormal3f(0.0, 0.0, 1.0);
	glVertex3f(0.0, 0.0, 0.0);
	for(int i = 0; i <= kokybe; i++){
		kamp = (float)i / (float)kokybe * M_PI * 2.0;
		glVertex3f(dydis * cos(kamp), dydis * sin(kamp), 0.0);
	}
	glEnd();
}

void GeomZiedas2D(GLfloat dydis1, GLfloat dydis2, int kokybe)
{
	float kamp;
	glBegin(GL_TRIANGLE_STRIP);
	glNormal3f(0.0, 0.0, 1.0);
	for(int i = 0; i <= kokybe; i++){
		kamp = (float)i / (float)kokybe * M_PI * 2.0;
		glVertex3f(dydis1 * cos(kamp), dydis1 * sin(kamp), 0.0);
		glVertex3f(dydis2 * cos(kamp), dydis2 * sin(kamp), 0.0);
	}
	glEnd();
}

void GeomKoord(GLfloat dydis, int tarpu)
{
	GLfloat tarpas = dydis / (GLfloat)tarpu;

	glBegin(GL_LINES);
		glColor3f(1.0, 0.0, 0.0);
		glVertex3f(-dydis, 0.0, 0.0);
		glVertex3f(dydis, 0.0, 0.0);

		glColor3f(0.0, 1.0, 0.0);
		glVertex3f(0.0, -dydis, 0.0);
		glVertex3f(0.0, dydis, 0.0);

		glColor3f(0.0, 0.0, 1.0);
		glVertex3f(0.0, 0.0, -dydis);
		glVertex3f(0.0, 0.0, dydis);

		for(GLfloat n = -dydis; n < dydis; n += tarpas){
			glColor3f(1.0, 0.0, 0.0);

			glVertex3d(n, -tarpas / 5.0, 0.0);
			glVertex3d(n, tarpas / 5.0, 0.0);

			glVertex3d(n, 0.0, -tarpas / 5.0);
			glVertex3d(n, 0.0, tarpas / 5.0);


			glColor3f(0.0, 1.0, 0.0);

			glVertex3d(-tarpas / 5.0, n, 0.0);
			glVertex3d(tarpas / 5.0, n, 0.0);

			glVertex3d(0.0, n, -tarpas / 5.0);
			glVertex3d(0.0, n, tarpas / 5.0);


			glColor3f(0.0, 0.0, 1.0);

			glVertex3d(-tarpas / 5.0, 0.0, n);
			glVertex3d(tarpas / 5.0, 0.0, n);

			glVertex3d(0.0, -tarpas / 5.0, n);
			glVertex3d(0.0, tarpas / 5.0, n);
		}
	glEnd();
}
